ARES_SET_SERVERS_CSV(3)

NAME
ares_set_servers_csv, ares_set_servers_ports_csv - Set list of DNS servers to be used.

SYNOPSIS
#include <ares.h>

int ares_set_servers_csv(ares_channel channel, const char* servers)
int ares_set_servers_ports_csv(ares_channel channel, const char* servers)

DESCRIPTION
The ares_set_servers_csv and ares_set_servers_ports_csvfunctions set the list of DNS servers that ARES will query. The format of the servers option is: host[:port][,host[:port]]... For example: 192.168.1.100,192.168.1.101,3.4.5.6

The ares_set_servers_csv function will ignore any port values specified in the input string, whereare the ares_set_servers_ports_csv function will apply any specified port values as the UDP and TCP port to be used for that particular nameserver.

RETURN VALUES
ares_set_servers_csv(3) This function may return any of the following values:

ARES_SUCCESS
    The name servers configuration was successfully initialized.

ARES_ENOMEM
    The process's available memory was exhausted.

ARES_ENODATA
    The channel data identified by channel was invalid.

ARES_ENOTINITIALIZED
    c-ares library initialization not yet performed.

SEE ALSO
ares_set_servers(3)

AVAILABILITY
ares_set_servers_csv was added in c-ares 1.7.2; ares_set_servers_ports_csv was added in c-ares 1.11.0.

AUTHOR
Ben Greear